Aracılığıyla paylaş


Apis - Get

API'nin ayrıntılarını döndürür.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ApiCenter/services/{serviceName}/workspaces/{workspaceName}/apis/{apiName}?api-version=2024-03-01

URI Parametreleri

Name İçinde Gerekli Tür Description
apiName
path True

string

minLength: 1
maxLength: 90
pattern: ^[a-zA-Z0-9-]{3,90}$

API'nin adı.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

Kaynak grubunun adı. Ad büyük/küçük harfe duyarsız.

serviceName
path True

string

minLength: 1
maxLength: 90
pattern: ^[a-zA-Z0-9-]{3,90}$

Azure API Center hizmetinin adı.

subscriptionId
path True

string (uuid)

Hedef aboneliğin kimliği. Değer bir UUID olmalıdır.

workspaceName
path True

string

minLength: 1
maxLength: 90
pattern: ^[a-zA-Z0-9-]{3,90}$

Çalışma alanının adı.

api-version
query True

string

minLength: 1

Bu işlem için kullanılacak API sürümü.

Yanıtlar

Name Tür Description
200 OK

Api

Azure işlemi başarıyla tamamlandı.

Üst Bilgiler

ETag: string

Other Status Codes

ErrorResponse

Beklenmeyen bir hata yanıtı.

Güvenlik

azure_auth

Azure Active Directory OAuth2 Akışı.

Tür: oauth2
Akış: implicit
Yetkilendirme URL’si: https://login.microsoftonline.com/common/oauth2/authorize

Kapsamlar

Name Description
user_impersonation kullanıcı hesabınızın kimliğine bürünme

Örnekler

Apis_Get

Örnek isteği

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/contoso-resources/providers/Microsoft.ApiCenter/services/contoso/workspaces/default/apis/echo-api?api-version=2024-03-01

Örnek yanıt

{
  "type": "Microsoft.ApiCenter/services/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/contoso-resources/providers/Microsoft.ApiCenter/services/contoso/workspaces/default/apis/echo-api",
  "name": "public",
  "systemData": {
    "createdAt": "2023-07-03T18:27:09.128871Z",
    "lastModifiedAt": "2023-07-03T18:27:09.1288716Z"
  },
  "properties": {
    "title": "Echo API",
    "description": "A simple HTTP request/response service.",
    "lifecycleStage": "design",
    "kind": "rest",
    "termsOfService": {
      "url": "https://contoso.com/terms-of-service"
    },
    "license": {
      "url": "https://contoso.com/license"
    },
    "externalDocumentation": [
      {
        "title": "Onboarding docs",
        "url": "https://docs.contoso.com"
      }
    ],
    "customProperties": {
      "author": "John Doe"
    }
  }
}

Tanımlar

Name Description
Api

API varlığı.

ApiKind

API'nin türü

Contact

İletişim bilgileri

createdByType

Kaynağı oluşturan kimliğin türü.

ErrorAdditionalInfo

Kaynak yönetimi hatası ek bilgileri.

ErrorDetail

Hata ayrıntısı.

ErrorResponse

Hata yanıtı

ExternalDocumentation

API için ek, dış belgeler.

License

API'nin lisans bilgileri.

LifecycleStage

Api geliştirme yaşam döngüsünün aşaması

systemData

Kaynağın oluşturulması ve son değiştirilmesiyle ilgili meta veriler.

TermsOfService

API için hizmet koşulları.

Api

API varlığı.

Name Tür Description
id

string (arm-id)

Kaynağın tam kaynak kimliği. Örneğin, "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

Kaynağın adı

properties.contacts

Contact[]

Kişi kümesi

properties.customProperties

object

Özel Özellikler
API kataloğu varlıkları için tanımlanan özel meta veriler.

properties.description

string

maxLength: 1000

API'nin açıklaması.

properties.externalDocumentation

ExternalDocumentation[]

Dış belge kümesi

properties.kind

ApiKind

API türü. Örneğin REST veya GraphQL.

properties.license

License

API'nin lisans bilgileri.

properties.lifecycleStage

LifecycleStage

API'nin geçerli yaşam döngüsü aşaması.

properties.summary

string

maxLength: 200

API'nin kısa açıklaması.

properties.termsOfService

TermsOfService

API için hizmet koşulları.

properties.title

string

minLength: 1
maxLength: 50

API başlığı.

systemData

systemData

createdBy ve modifiedBy bilgilerini içeren Azure Resource Manager meta verileri.

type

string

Kaynağın türü. Örneğin, "Microsoft.Compute/virtualMachines" veya "Microsoft.Storage/storageAccounts"

ApiKind

API'nin türü

Değer Description
rest

Temsili Durum Aktarım Api'si

graphql

Graph sorgu dili Api'si

grpc

Bir gRPC API'si

soap

SOAP Api'si

webhook

Web Kancası

websocket

Web Yuvası

Contact

İletişim bilgileri

Name Tür Description
email

string

maxLength: 100

Kişinin e-posta adresi.

name

string

maxLength: 100

İrtibat adı.

url

string (uri)

maxLength: 200

Kişinin URL'si.

createdByType

Kaynağı oluşturan kimliğin türü.

Değer Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

Kaynak yönetimi hatası ek bilgileri.

Name Tür Description
info

object

Ek bilgiler.

type

string

Ek bilgi türü.

ErrorDetail

Hata ayrıntısı.

Name Tür Description
additionalInfo

ErrorAdditionalInfo[]

Hata ek bilgileri.

code

string

Hata kodu.

details

ErrorDetail[]

Hata ayrıntıları.

message

string

Hata iletisi.

target

string

Hata hedefi.

ErrorResponse

Hata yanıtı

Name Tür Description
error

ErrorDetail

Hata nesnesi.

ExternalDocumentation

API için ek, dış belgeler.

Name Tür Description
description

string

maxLength: 500

Belgelerin açıklaması.

title

string

maxLength: 50

Belgelerin başlığı.

url

string (uri)

maxLength: 200

Belgelere işaret eden URL.

License

API'nin lisans bilgileri.

Name Tür Description
identifier

string (uri)

maxLength: 50

API için SPDX lisans bilgileri. Tanımlayıcı alanı, URL alanını birbirini dışlar.

name

string

maxLength: 100

Lisansın adı.

url

string (uri)

maxLength: 200

Lisans ayrıntılarını gösteren URL. URL alanı, tanımlayıcı alanını birbirini dışlar.

LifecycleStage

Api geliştirme yaşam döngüsünün aşaması

Değer Description
design

tasarım aşaması

development

geliştirme aşaması

testing

test aşaması

preview

Önizlemede

production

Üretimde

deprecated

kullanım dışı bırakılan aşama

retired

Kullanımdan kaldırılacak aşama

systemData

Kaynağın oluşturulması ve son değiştirilmesiyle ilgili meta veriler.

Name Tür Description
createdAt

string (date-time)

Kaynak oluşturma (UTC) zaman damgası.

createdBy

string

Kaynağı oluşturan kimlik.

createdByType

createdByType

Kaynağı oluşturan kimliğin türü.

lastModifiedAt

string (date-time)

Kaynağın son değişikliğinin zaman damgası (UTC)

lastModifiedBy

string

Kaynağı en son değiştiren kimlik.

lastModifiedByType

createdByType

Kaynağı en son değiştiren kimlik türü.

TermsOfService

API için hizmet koşulları.

Name Tür Description
url

string (uri)

maxLength: 200

Hizmet koşullarına işaret eden URL.